Page MenuHomePhabricator

Incorrect rendering of stretched text in svg -> png conversion
Closed, ResolvedPublic

Description

Author: broken.arrow

Description:
The stretched text in the image is not rendered correctly on WMF sites, while it
is on a local install of rsvg 2.16.0. The horizontal and vertical scaling is not
respected. Possibly related to bug 3769.


Version: unspecified
Severity: normal
URL: https://test.wikipedia.org/wiki/File:Vietato.svg

Details

Reference
bz8895

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 9:34 PM
bzimport set Reference to bz8895.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Feb 5 2007, 11:54 PM

ayg wrote:

What version of rsvg is the WMF using?

Clarification from BrokenArrow: "the text is not centered and the last word
'TERRA' is missing".

Wikimedia is using rsvg 2.14.

Same with rsvg 2.22.0.

brion added a comment.Aug 3 2009, 4:53 PM

Assigning SVG bugs to Ariel -- need a cleanup pass to see what's fixed up by a librsvg upgrade, what can be resolved with fixes to our font configuration, what can be fixed on our end, and what still needs to be pushed upstream.

giving SVG bugs back to the pool.

TheDJ added a comment.Dec 4 2011, 9:53 PM

The image that was the source of this report was apparently deleted from it.wp.

Unable to assess if the problem still occurs.

brion added a comment.Dec 4 2011, 10:17 PM

I've copied the deleted file to test.wikipedia (deleted as orphan/non-encyclopedic from it.wikipedia):

https://test.wikipedia.org/wiki/File:Vietato.svg

Looks like it does stretch vertically, but the text is not being shrunk to fit.

... however I don't think it's actually using proper facilities to shrink to fit -- it *is* being squished by a particular scale factor, but it's also trying to use the font-family 'Impact' which is a condensed font to begin with. Since this font is unavailable, it's defaulting to something like Helvetica which is much wider.

I'll consider this one FIXED as the requested scaling is happening, and there's no need to fix this particular image's font usage as it's not in use.